Skip to main content

Add document AI result from LLM prompt

POST 

/documents/:documentId/ai/prompts/:llmPromptEntityName

Run an LLM prompt against a document; available as an Add-On Module

Request

Path Parameters

    documentId stringrequired

    Document Identifier

    llmPromptEntityName stringrequired

    LlmPrompt Entity Name

Query Parameters

    siteId string

    Site Identifier

    artifactId string

    Artifact Document Identifier

Body

    modelId string

    Override the LLM Prompt Entity model id

Responses

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    systemPrompt string

    System Prompt

    aiPromptResult

    object

    analysisCategory string

    Analysis Category

    insertedDate string

    Inserted Timestamp

    content string

    Result content

    userId string

    UserId that created Result

    values

    object[]

    Document AI prompt values

  • Array [

  • resultType DocumentAiPromptResultType (string)required

    Document AI prompt result type

    Possible values: [KEY_VALUE, ENTITY]

    entityType string

    Entity type when resultType is ENTITY

    entityNamespace EntityTypeNamespace (string)

    Entity Type namespace

    Possible values: [PRESET, CUSTOM]

    attributes

    object[]

    required

    Attributes extracted from result content

  • Array [

  • key stringrequired

    Document AI prompt result attribute key

    stringValues string[]required

    Document AI prompt result attribute string values

  • ]

  • ]

Loading...